# Class BindingToModelProcessor

java.lang.Object
org.eclipse.ui.internal.BindingToModelProcessor

All Implemented Interfaces:
  `IModelProcessorContribution`

public class BindingToModelProcessor extends Object implements IModelProcessorContribution

## Nested Class Summary

### Nested classes/interfaces inherited from interface IModelProcessorContribution

`IModelProcessorContribution.Apply, IModelProcessorContribution.Beforefragment, IModelProcessorContribution.ModelElement`

## Field Summary

### Fields inherited from interface IModelProcessorContribution

`APPLY_ALWAYS, APPLY_INITIAL, APPLY_PROPERTY_KEY, APPLY_PROPERTY_PREFIX, BEFORE_FRAGMENT_PROPERTY_KEY, BEFORE_FRAGMENT_PROPERTY_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`BindingToModelProcessor()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`addBinding(MApplication application, Binding binding)`
`MBindingContext`
`getBindingContext(MApplication application, String id)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IModelProcessorContribution

`getModelElements, getProcessorClass`

## Constructor Details

### BindingToModelProcessor

public BindingToModelProcessor()

## Method Details

### addBinding

public final void addBinding(MApplication application, Binding binding)

### getBindingContext

public MBindingContext getBindingContext(MApplication application, String id)